Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/lua-fun: new aport

From: Muh Muhten <muh.muhten_at_gmail.com>
Date: Fri, 26 Feb 2016 04:16:41 -0500

http://rtsisyk.github.io/luafun/
"Lua Fun is a high-performance functional programming library for Lua
designed with LuaJIT's trace compiler in mind."
---
 testing/lua-fun/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/lua-fun/APKBUILD
diff --git a/testing/lua-fun/APKBUILD b/testing/lua-fun/APKBUILD
new file mode 100644
index 0000000..1db3a7a
--- /dev/null
+++ b/testing/lua-fun/APKBUILD
_at_@ -0,0 +1,42 @@
+# Contributor: Michael Zuo <muh.muhten_at_gmail.com>
+# Maintainer: Michael Zuo <muh.muhten_at_gmail.com>
+pkgname=lua-fun
+pkgver=0.1.3
+_luaversions="5.1 5.2 5.3"
+pkgrel=0
+pkgdesc="Functional programming library"
+# "Lua Fun is a high-performance functional programming library for Lua
+# designed with LuaJIT's trace compiler in mind."
+url="http://rtsisyk.github.io/luafun/"
+arch="noarch"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/rtsisyk/luafun/archive/$pkgver.tar.gz"
+
+for _v in $_luaversions; do
+	subpackages="$subpackages lua$_v-${pkgname#*lua-}:split_${_v/./_}"
+	eval "split_${_v/./_}() { _split $_v; }"
+done
+
+_builddir="$srcdir/luafun-$pkgver"
+build() {
+	:
+}
+
+package() {
+	mkdir -p "$pkgdir"
+}
+
+_split() {
+	install_if="lua$1 $pkgname=$pkgver-r$pkgrel"
+	pkgdesc="$pkgdesc for Lua $1"
+
+	cd "$_builddir"
+	install -Dm644 fun.lua "$subpkgdir/usr/share/lua/$1/fun.lua" || return 1
+}
+
+md5sums="ab774af3d0dea06656039e5fc3ee86ad  lua-fun-0.1.3.tar.gz"
+sha256sums="b17a139e94a150595ffce09e800035f71fe9e0631b54b6fbf193dfe57255e4b7  lua-fun-0.1.3.tar.gz"
+sha512sums="1959c22453a6f431e4f4ee1ca1e6001c126f8857e00b128e5303049fd574150a68b71490503356f11fefcbd0ef7fbac7b0ae7c182a395ad0c92d2047dfac0662  lua-fun-0.1.3.tar.gz"
-- 
2.5.4 (Apple Git-61)
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Feb 26 2016 - 04:16:41 GMT